---
title: 解决Cloudflare Partner不能添加站点的问题
date: 2021-09-15 00:00:00
tags:
  - Cloudflare
  - 网站
category: 技术
---

没错，就是现在博客正在使用的域名eigeen.com不能添加到Cloudflare。

众所周知，Cloudflare官方只允许NS接入，意味着你的域名解析都要通过CF，在国内解析速度会明显变慢。表现就是新用户访问你的网站，普遍会白屏转圈两三秒再显示内容。这对我的博客影响巨大，毕竟服务器和CDN都在国内，被cf的DNS解析拉慢了速度可不能忍。

但我又不想放弃Cloudflare的优质服务和超强的防御力，所以其实可以另辟蹊径，通过CNAME解析使用CF的服务。官方只能NS接入，但是CF Partner网站是允许CNAME接入的，于是尝试使用这类网站管理解析。

我的其他几个域名是没有问题的，正常接入。但是唯独主要域名eigeen.com不行，提示这个错误:

![添加站点报错](https://os1.eigeen.com/static/2021/09/Snipaste_2021-09-06_09-48-15.png)

所有的Partner站点都是同样的报错

好家伙，我啥时候添加了？有内鬼？

经过一番思考和调查，我高度怀疑是之前使用了百度云加速的缘故。百度云加速与Cloudflare的合作还算挺多的，海外也有为Cloudflare提供的服务器。我怀疑百度之前也用了类似的方案，但是在我取消接入百度云加速后，他们并没有把我的域名从CF中删除，于是就出现了这种冲突。

<!-- more -->

# 解决

最开始尝试了工单，然后发现CF的工单简直就是摆设，还折磨！！！就没有正常人能回复我，全都是bot，而且发了几次工单，全都告诉我一个信息：去社区问！那你工单的存在意义是什么？

不过好在我从社区翻了几十条相关话题后，终于找到了一个可行的解决方案，就是**用NS方式接入一次域名，就能验证所有权了**。所以，我花了点时间改NS解析，使用了一段时间CF后又切了回来，再次尝试接入，竟然成功了。

看来社区还是有点用的哈。

# CNAME接入Cloudflare

最开始使用的是笨牛网https://cdn.bnxb.com ，他们也服务了很久，不过就在我写这篇文章的时间段，他们正清理违规接入的网站，于是暂时关闭了网站，停止登录和注册。于是我也尝试了另一家https://cdn.imtqy.com ，使用体验同样不错。反正都是CF Partner，功能是一样的。

> 参考文章教程：[Cloudflare 免费CDN自定义ip详细解释和配置教程 - 山野莽夫 (shanyemangfu.com)](https://www.shanyemangfu.com/cloudflare-ip.html)
>
> 文章是教你自定义IP，我试了一下，确实是百度云的节点，不过物理地址也在美国，快不了多少。想使用这种方法让你的网站变得神速，还是不太可能。不过，可以通过DNS解析服务商的功能，让国外的访问者走CF线路，减少流量费用。
